Bug 133930 - RFE: SMB browsing for remote subnets
RFE: SMB browsing for remote subnets
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 11:16 EDT by Joseph Harnish
Modified: 2008-12-15 05:58 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.0.12-2.fc9
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 05:58:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Harnish 2004-09-28 11:16:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; rv:1.7.3)
Gecko/20040913 Firefox/0.10

Description of problem:
The "Add a new Print Queue" wizard needs to browse a system for print
shares.  

I think on the Queue type page if you have a server defined there
should be a "Scan for Shares" or "Browse Shares" so you can select it
from a list.  

This would make it much easier to install new printers in a larger
environment.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open Printer Configuration
2. Add a new printer.

    

Additional info:
Comment 1 Tim Waugh 2004-09-28 11:34:46 EDT
Not sure what you mean here.  What type of transport?  IPP, or
something else?
Comment 2 Joseph Harnish 2004-09-28 11:55:36 EDT
IPP would be good, but lets say I selected SMB(IPP, LPD or NCP) and
put in a server name and possibly username and password and it would
scan the server for print shares of that type in this case SMB.  It
would then present a list you could select from or type in your own
share name.    

I know this will be different for each transport and some may not work.
Comment 3 Tim Waugh 2004-09-28 12:05:51 EDT
For IPP, CUPS browsing should already do what you want, with no set-up
on the client end.

For SMB, there is already a selector which is meant to list the
available queues on the network.  Is this not working for you?

For LPD and NCP it is not possible to do in general, as far as I know.
Comment 4 Joseph Harnish 2004-09-28 12:40:31 EDT
I do see this, so maybe my issue is a different one.  I only see SMB
based systems on my subnet I can't see the server that the print
queues reside on because it is on a different one.    
Comment 5 Sitsofe Wheeler 2004-11-20 07:13:26 EST
Have you enabled the firewall? If so you won't see broadcast CUPS
shares unless you manually poke a hole in it (or add them manually).
I'm sure there's a bug about this somewhere (and if there isn't' there
should be).
Comment 6 Joseph Harnish 2004-11-20 10:36:24 EST
The thing I am trying to do is to browse the print shares on an HP 
Print Server Appliance.  It supposed to let you print via IPP, CUPS, 
LPD, and SMB.  My problem with this appliance is is that I don't know 
what the IPP/CUPS/LPD print queues are named.  It only shows me the 
SMB one through the web interface.  So I want to be able to scan the 
device and get a list of all available print queues to pick from.  

I can't see any broadcasts because our print server appliances are on 
a different subnet than the one I am on.

Joe
Comment 7 Tim Waugh 2004-12-06 08:35:38 EST
Does "smbclient -L APPLIANCE" (substitute the name of your HP appliance for
APPLIANCE) show the queue names?
Comment 8 Joseph Harnish 2004-12-06 16:06:09 EST
Yes this shows all the queues.  They are cropped but they are visable.
Comment 9 Matthew Miller 2006-07-10 16:54:13 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 10 Tim Waugh 2006-07-11 08:49:33 EDT
The SMB browser could certainly stand some improvements.  The problem is finding
someone who knows enough about how it should work to code it. :-(
Comment 11 Matthew Miller 2007-04-06 14:59:42 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 12 Tim Waugh 2008-11-28 07:24:14 EST
The SMB browser has been substantially re-worked in Fedora 10.  A test package for Fedora 9 will be available shortly.

Are you still able to test this?

Note You need to log in before you can comment on or make changes to this bug.